Bug 234456 - Various random apparent firmware failure cases
Various random apparent firmware failure cases
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-29 09:05 EDT by Thomas Groß
Modified: 2008-06-16 21:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from failed attempt (1.59 KB, text/plain)
2008-01-02 20:10 EST, Jon Stanley
no flags Details

  None (edit)
Description Thomas Groß 2007-03-29 09:05:59 EDT
Description of problem:
Since i upgraded to kernel 2.6.19/20 i can no longer access my DVD-Writer.
Previous kernel Verisons worked.

The whole System becomes unresponsive und naerly freezes.

Version-Release number of selected component (if applicable):
2.6.19 and later.

How reproducible:
Always

Steps to Reproduce:
1. Access drive.
2.
3.
  
Actual results:
failure

Expected results:
Read media.

Additional info:
Here are parts of the logfiles:

 kernel: Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
 kernel: ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
 kernel: VP_IDE: IDE controller at PCI slot 0000:00:04.1
 kernel: VP_IDE: chipset revision 6
 kernel: VP_IDE: not 100% native mode: will probe irqs later
 kernel: VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 controller on pci0000:00:04.1
 kernel:     ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:DMA
 kernel:     ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:DMA, hdd:DMA
 kernel: hda: IBM-DJNA-352030, ATA DISK drive
 kernel: hdb: Maxtor 6Y120L0, ATA DISK drive
 kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
 kernel: hdc: Maxtor 6Y120L0, ATA DISK drive
 kernel: hdd: BENQ DVD DD DW1640, ATAPI CD/DVD-ROM drive
 kernel: ide1 at 0x170-0x177,0x376 on irq 15
 kernel: hda: max request size: 128KiB
 kernel: hda: 39876480 sectors (20416 MB) w/1966KiB Cache, CHS=39560/16/63, UDMA(33)
 kernel: hda: cache flushes not supported
 kernel:  hda: hda1
 kernel: hdb: max request size: 128KiB
 kernel: hdb: 240121728 sectors (122942 MB) w/2048KiB Cache, CHS=65535/16/63,
UDMA(100)
 kernel: hdb: cache flushes supported
 kernel:  hdb: hdb1 hdb2 hdb3 hdb4 < hdb5 hdb6 hdb7 >
 kernel: hdc: max request size: 128KiB
 kernel: hdc: 240121728 sectors (122942 MB) w/2048KiB Cache, CHS=65535/16/63
 kernel: hdc: cache flushes supported
 kernel:  hdc: hdc1
 kernel: ide-floppy driver 0.99.newide


<CUT> ( I think this is happening while HAL ist started)

 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: EDAC MC: Ver: 2.0.1 Mar 19 2007
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: Floppy drive(s): fd0 is 1.44M
 kernel: FDC 0 is a post-1991 82077
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: scsi 0:0:2:0: Attached scsi generic sg0 type 5
 kernel: sr0: scsi3-mmc drive: 32x/32x cd/rw xa/form2 cdda tray
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: ACPI: PCI Interrupt 0000:00:05.0[A] -> Link [LNKB] -> GSI 10 (level,
low) -> IRQ 10
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command

<CUT> this happens over and over when i try to access the device)

 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: hda: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
 kernel: hda: drive_cmd: error=0x04 { DriveStatusError }
 kernel: ide: failed opcode was: 0xb0
 kernel: hdb: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
 kernel: hdb: drive_cmd: error=0x04 { DriveStatusError }
 kernel: ide: failed opcode was: 0xb0
 kernel: hdc: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
 kernel: hdc: drive_cmd: error=0x04 { DriveStatusError }
 kernel: ide: failed opcode was: 0xb0
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
 kernel: hdd: status timeout: status=0xd0 { Busy }
 kernel: ide: failed opcode was: unknown
 kernel: hdd: drive not ready for command
Comment 1 Sukru TIKVES 2007-05-08 08:02:47 EDT
Similar problem on Fedora Core 6.

My IDE based DVD writer is lost after a while, and kernel tries do recognize it
as sr0 (SCSI CD). However DVD writing no longer works after this happens, until
the system is rebooted.

I'm not sure if this is a kernel or hardware problem, but the device works fine
(for a while) when the machine is rebooted.

May  3 17:41:00 bilgin kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0
action 0x2 frozen
May  3 17:41:00 bilgin kernel: ata2.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0
tag 0 cdb 0x25 data 8 in
May  3 17:41:00 bilgin kernel:          res 50/50:50:50:50:50/00:00:00:00:00/50
Emask 0x2 (HSM violation)
May  3 17:41:00 bilgin kernel: ata2: soft resetting port
May  3 17:41:00 bilgin kernel: ata2.00: revalidation failed (errno=-2)
May  3 17:41:00 bilgin kernel: ata2: failed to recover some devices, retrying in
5 secs
May  3 17:41:05 bilgin kernel: ata2: soft resetting port
May  3 17:41:05 bilgin kernel: ata2.00: revalidation failed (errno=-2)
May  3 17:41:05 bilgin kernel: ata2: failed to recover some devices, retrying in
5 secs
May  3 17:41:10 bilgin kernel: ata2: soft resetting port
May  3 17:41:11 bilgin kernel: ata2.00: revalidation failed (errno=-2)
May  3 17:41:11 bilgin kernel: ata2.00: disabled
May  3 17:41:11 bilgin kernel: ata2: failed to recover some devices, retrying in
5 secs
May  3 17:41:21 bilgin kernel: ata2.01: failed to IDENTIFY (I/O error,
err_mask=0x40)
May  3 17:41:21 bilgin kernel: ata2.01: revalidation failed (errno=-5)
May  3 17:41:21 bilgin kernel: ata2: failed to recover some devices, retrying in
5 secs
May  3 17:41:21 bilgin kernel: ata2: soft resetting port
May  3 17:41:21 bilgin kernel: ata2.01: configured for UDMA/100
May  3 17:41:21 bilgin kernel: ata2: EH complete
May  3 17:41:21 bilgin kernel: SCSI device sdc: 312581808 512-byte hdwr sectors
(160042 MB)
May  3 17:41:21 bilgin kernel: sdc: Write Protect is off
May  3 17:41:21 bilgin kernel: SCSI device sdc: write cache: enabled, read
cache: enabled, doesn't support DPO or FUA
Comment 2 Jon Stanley 2008-01-02 20:05:41 EST
Changing version to F7.

Same issue on a Dell Precision 390 with a Phillips drive in F7, kernel
2.6.23.8-34.fc7.  Smolt profile at
http://www.smolts.org/show?UUID=3358eb9c-4674-4dbc-a109-65cc48bd1d7a

After this occurs, the DVD drive is dead - i.e. cannot be ejected with either
the button on the drive, or the eject command.  If the tray is open, then simply
pisuhing on teh tray fails to engage the motor.  This occurs after writing one
DVD successfully, requiring the system to be rebooted.
Comment 3 Jon Stanley 2008-01-02 20:10:08 EST
Created attachment 290692 [details]
dmesg from failed attempt
Comment 4 Jon Stanley 2008-01-02 20:13:51 EST
Reassign to PATA owner nad changing subject to remove kernel version impacted
Comment 5 Bug Zapper 2008-05-14 08:11:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:16:55 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.